Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.vo.prescrizioneriabilitativaset
Class DatiAnagraficiAssistito

    java.lang.Object
      it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.vo.prescrizioneriabilitativaset.DatiAnagraficiAssistito

    public class DatiAnagraficiAssistito

extends java.lang.Object

Dati anagrafici primari dell'assistito a cui è stata rilasciata la ricetta SSN su cui è indicata la prescrizione riabilitativa.

Author:
  SantovitoM

Field Summary
`private java.lang.String` | `codFiscale` Codice fiscale
`private java.lang.String` | `codIstatComuneResidenza` Codice ista del comune di residenza
`private java.lang.String` | `codNazionaleAslResidenza` Codice nazionale della ASL di residenza
`private java.lang.String` | `codSesso` Ciodice del sesso.
`private java.lang.String` | `cognome` Cognome
`private java.lang.String` | `dataNascita`
`private java.lang.String` | `nome` Nome

Constructor Summary
`DatiAnagraficiAssistito()`

Method Summary
`java.lang.String` | `getCodFiscale()`
`java.lang.String` | `getCodIstatComuneResidenza()`
`java.lang.String` | `getCodNazionaleAslResidenza()`
`java.lang.String` | `getCodSesso()`
`java.lang.String` | `getCognome()`
`java.lang.String` | `getDataNascita()`
`java.lang.String` | `getNome()`
`void` | `setCodFiscale(java.lang.String codFiscale)`
`void` | `setCodIstatComuneResidenza(java.lang.String codIstatComuneResidenza)`
`void` | `setCodNazionaleAslResidenza(java.lang.String codNazionaleAslResidenza)`
`void` | `setCodSesso(java.lang.String codSesso)`
`void` | `setCognome(java.lang.String cognome)`
`void` | `setDataNascita(java.lang.String dataNascita)`
`void` | `setNome(java.lang.String nome)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codFiscale

    @MinOccurs(value=1L)
    @Facets(length=16L)
    private java.lang.String codFiscale

  Codice fiscale

### cognome

    @MinOccurs(value=1L)
    @Facets(maxLength=30L)
    private java.lang.String cognome

  Cognome

### nome

    @MinOccurs(value=1L)
    @Facets(maxLength=30L)
    private java.lang.String nome

  Nome

### dataNascita

    @MinOccurs(value=1L)
    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataNascita

### codSesso

    @MinOccurs(value=1L)
    private java.lang.String codSesso

  Ciodice del sesso.

### codIstatComuneResidenza

    @MinOccurs(value=1L)
    @Facets(maxLength=6L)
    private java.lang.String codIstatComuneResidenza

  Codice ista del comune di residenza

### codNazionaleAslResidenza

    @MinOccurs(value=1L)
    @Facets(maxLength=6L)
    private java.lang.String codNazionaleAslResidenza

  Codice nazionale della ASL di residenza

Constructor Detail

### DatiAnagraficiAssistito

    public DatiAnagraficiAssistito()

Method Detail

### getCodFiscale

    public java.lang.String getCodFiscale()

### setCodFiscale

    public void setCodFiscale(java.lang.String codFiscale)

### getCognome

    public java.lang.String getCognome()

### setCognome

    public void setCognome(java.lang.String cognome)

### getNome

    public java.lang.String getNome()

### setNome

    public void setNome(java.lang.String nome)

### getDataNascita

    public java.lang.String getDataNascita()

### setDataNascita

    public void setDataNascita(java.lang.String dataNascita)

### getCodSesso

    public java.lang.String getCodSesso()

### setCodSesso

    public void setCodSesso(java.lang.String codSesso)

### setCodIstatComuneResidenza

    public void setCodIstatComuneResidenza(java.lang.String codIstatComuneResidenza)

### getCodIstatComuneResidenza

    public java.lang.String getCodIstatComuneResidenza()

### setCodNazionaleAslResidenza

    public void setCodNazionaleAslResidenza(java.lang.String codNazionaleAslResidenza)

### getCodNazionaleAslResidenza

    public java.lang.String getCodNazionaleAslResidenza()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD